package com.mortals.xhx.module.comment.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:CommentInfo
* date: 2021-8-30 11:43:19
*/
public class CommentInfoEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630294999029L;


    /**
    * 类型
    */
    private String type;

    /**
    * 员工工号
    */
    private String personalCode;

    /**
    * 审批时间
    */
    private Date time;

    /**
    * 任务id
    */
    private String taskId;

    /**
    * 
    */
    private String activityId;

    /**
    * 
    */
    private String activityName;

    /**
    * 流程实例id
    */
    private String processInstanceId;

    /**
    * 动作
    */
    private String action;

    /**
    * 审批意见
    */
    private String message;

    /**
    * 创建人
    */
    private String createUser;

    /**
    * 创建时间
    */
    private Date createTime;

    public CommentInfoEntity(){

    }
    /**
    * 获取 类型
    * @return type
    */
    public String getType() {
        return this.type;
    }
    /**
    * 设置 类型
    * @param type
    */
    public void setType(String type) {
        this.type = type;
    }
    /**
    * 获取 员工工号
    * @return personalCode
    */
    public String getPersonalCode() {
        return this.personalCode;
    }
    /**
    * 设置 员工工号
    * @param personalCode
    */
    public void setPersonalCode(String personalCode) {
        this.personalCode = personalCode;
    }
    /**
    * 获取 审批时间
    * @return time
    */
    public Date getTime() {
        return this.time;
    }
    /**
    * 设置 审批时间
    * @param time
    */
    public void setTime(Date time) {
        this.time = time;
    }
    /**
    * 获取 任务id
    * @return taskId
    */
    public String getTaskId() {
        return this.taskId;
    }
    /**
    * 设置 任务id
    * @param taskId
    */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
    /**
    * 获取 
    * @return activityId
    */
    public String getActivityId() {
        return this.activityId;
    }
    /**
    * 设置 
    * @param activityId
    */
    public void setActivityId(String activityId) {
        this.activityId = activityId;
    }
    /**
    * 获取 
    * @return activityName
    */
    public String getActivityName() {
        return this.activityName;
    }
    /**
    * 设置 
    * @param activityName
    */
    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }
    /**
    * 获取 流程实例id
    * @return processInstanceId
    */
    public String getProcessInstanceId() {
        return this.processInstanceId;
    }
    /**
    * 设置 流程实例id
    * @param processInstanceId
    */
    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }
    /**
    * 获取 动作
    * @return action
    */
    public String getAction() {
        return this.action;
    }
    /**
    * 设置 动作
    * @param action
    */
    public void setAction(String action) {
        this.action = action;
    }
    /**
    * 获取 审批意见
    * @return message
    */
    public String getMessage() {
        return this.message;
    }
    /**
    * 设置 审批意见
    * @param message
    */
    public void setMessage(String message) {
        this.message = message;
    }
    /**
    * 获取 创建人
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建人
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof CommentInfoEntity) {
            CommentInfoEntity tmp = (CommentInfoEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",type:").append(getType())
                .append(",personalCode:").append(getPersonalCode())
                .append(",time:").append(getTime())
                .append(",taskId:").append(getTaskId())
                .append(",activityId:").append(getActivityId())
                .append(",activityName:").append(getActivityName())
                .append(",processInstanceId:").append(getProcessInstanceId())
                .append(",action:").append(getAction())
                .append(",message:").append(getMessage())
                .append(",createUser:").append(getCreateUser())
                .append(",createTime:").append(getCreateTime())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.type = null;

         this.personalCode = null;

         this.time = null;

         this.taskId = null;

         this.activityId = null;

         this.activityName = null;

         this.processInstanceId = null;

         this.action = null;

         this.message = null;

         this.createUser = null;

         this.createTime = null;

    }
}